		(*****************)
		(**  moslog	**)
		(**  sperais	**)
		(*****************)

procedure sperais;
		(* traitement des commandes de gestion *)
var       x,q	:integer;

procedure lire;
begin	(* commande *lire  : lecture d'un fichier *)
if q <> 0
then	begin
	assign(f9,mot);	(* mot contient le nom du fichier *)
	reset(f9);
	fich := true;
	end;
end;

begin		(* code de sperais *)
mot := ' ';
q := instr(1,phrase,mot);	(* phrase contient la phrase frapp‚e *)
x := len(phrase)+1;
mot := '';
if q <> 0
then	begin
	mot := mid_(phrase,q+1,x-q);	(* mot contient le 2eme mot *)
	phrase := left_(phrase,q-1);	(* phrase contient le 1er mot *)
	end;
if phrase='*lire'
then	lire	(* commande = *lire nom_de_fichier *)
else	begin
	if (phrase='help') or (phrase='*help') or (phrase='?')
	then	help('moslog.hlp','')	(* commande = *help *)
	else	begin
		if phrase='*edit'
		then	begin
			end
		else	begin
			if phrase='*ecrire'
			then	begin
				end
			else	begin
				if (phrase='*fin') or (phrase='fin')
				then	fin := true  (* commande *fin *)
				else	begin
					if phrase='*test' (* commande = *test *)
					then	test := 1
					else	quezako;
					end;
				end;
			end;
		end;
	end;
end;
